#include <iostream>
#include <vector>
#include <string>
#include <sstream>


using namespace std;

vector<string> sourceA;
vector<string> sourceB;
vector<string> result;
string lineA;
string lineB;
int indexA;
int indexB;
string word;


bool present(const string s) {
  for (unsigned int i = 0; i < result.size(); i++) {
    if (s == result[i]) {
      return true;
    }
  }

  return false;
}

bool presentInRestOfA(const string s) {
  for (unsigned int i = indexA + 1/*+2?*/; i < sourceA.size(); i++) {
    if (s == sourceA[i]) {
      return true;
    }
  }
  return false;
}

bool presentInRestOfB(const string s) {
  for (unsigned int i = indexB + 1/*+2?*/; i < sourceB.size(); i++) {
    if (s == sourceB[i]) {
      return true;
    }
  }
  return false;
}

bool presentInBeginningOfA(const string s) {
  for (unsigned int i = 0; i < indexA; i++) {
    if (s == sourceA[i]) {
      return true;
    }
  }
  return false;
}

bool presentInBeginningOfB(const string s) {
  for (unsigned int i = 0; i < indexB; i++) {
    if (s == sourceB[i]) {
      return true;
    }
  }
  return false;
}

void moveToNextInA() {
  do {
    indexA++;
  } while ((indexA < sourceA.size()) && (present(sourceA[indexA])) && (!presentInBeginningOfB(sourceA[indexA])));
}

void moveToNextInB() {
  do {
    indexB++;
  } while ((indexB < sourceB.size()) && (present(sourceB[indexB])) && (!presentInBeginningOfA(sourceB[indexB])));
}

int main(void) {

  do {
    getline(cin, lineA);
    if (lineA != ".") {
      getline(cin, lineB);
      stringstream streamA(lineA);
      stringstream streamB(lineB);

      sourceA.clear();
      sourceB.clear();
      result.clear();

      do {
        streamA >> word;
        if (word != ".") {
          sourceA.push_back(word);
        }
      } while (word != ".");
      do {
        streamB >> word;
        if (word != ".") {
          sourceB.push_back(word);
        }
      } while (word != ".");
      // mame nacteno


      indexA = 0;
      indexB = 0;
      while ((indexA < sourceA.size()) || (indexB < sourceB.size())) {

        if ((indexA < sourceA.size()) && (indexB < sourceB.size())) {

          if (sourceA[indexA] < sourceB[indexB]) {
            if (   (!presentInRestOfB(sourceA[indexA]))
                || (presentInRestOfA(sourceB[indexB]))) {
              if (!present(sourceA[indexA])) {
                result.push_back(sourceA[indexA]);
              }
            moveToNextInA();
            } else {
              // my cekame, popohnat druhou radu


              if (!present(sourceB[indexB])) {
                result.push_back(sourceB[indexB]);
              }
            moveToNextInB();
            }
          } else if (sourceA[indexA] > sourceB[indexB]) {
            if (   (!presentInRestOfA(sourceB[indexB])) 
                || (presentInRestOfB(sourceA[indexA]))) {
              if (!present(sourceB[indexB])) {
                result.push_back(sourceB[indexB]);
              }
            moveToNextInB();
            } else {
              // my cekame, popohnat druhou radu
              if (!present(sourceA[indexA])) {
                result.push_back(sourceA[indexA]);
              }
            moveToNextInA();
            }
          } else /*(sourceA[indexA] == sourceB[indexB])*/ {
            if (!present(sourceA[indexA])) {
              result.push_back(sourceA[indexA]);
            }
            moveToNextInA();
            moveToNextInB();
          }

        } else if (indexA < sourceA.size()) {
            if (   (!presentInRestOfB(sourceA[indexA])) 
                || (presentInRestOfA(sourceB[indexB]))) {
              if (!present(sourceA[indexA])) {
                result.push_back(sourceA[indexA]);
              }
            moveToNextInA();
            }
        } else {
            if (   (!presentInRestOfA(sourceB[indexB])) 
                || (presentInRestOfB(sourceA[indexA]))) {
              if (!present(sourceB[indexB])) {
                result.push_back(sourceB[indexB]);
              }
            moveToNextInB();
            }
        }

      }

      // vypsat result
      for (unsigned int i = 0; i < result.size(); i++) {
        cout << result[i] << " ";
      }
      cout << "." << endl;
    }
  } while (lineA != ".");

  return 0;
}
